<template>
  <!-- Navigation starts -->
  <nav class="w-full mx-auto bg-white shadow z-20 relative">
    <div class="justify-between px-6 h-16 flex items-center lg:items-stretch mx-auto">
      <div class="flex items-center">
        <div class="mr-10 flex items-center">
          <nuxt-img src="icon.png" width="32" height="32" alt="Logo: Vincent PECQUERIE" title="Logo: Vincent PECQUERIE" />
          <h3 class="text-base text-gray-800 font-bold tracking-normal leading-tight ml-3 hidden sm:block">
            Vincent PECQUERIE
          </h3>
        </div>
        <ul class="pr-32 sm:flex hidden items-center h-full">
          <li
            class="hover:text-indigo-700 cursor-pointer h-full flex items-center text-sm text-gry-800 tracking-normal mx-5">
            <NuxtLink to="/" title="Aller au CV">
              CV
            </NuxtLink>
          </li>
          <li
            class="hover:text-indigo-700 cursor-pointer h-full flex items-center text-sm text-gry-800 mr-10 tracking-normal">
            <NuxtLink to="/blog" title="Aller au Blog">
              Blog
            </NuxtLink>
          </li>
        </ul>
      </div>
      <div class="visible sm:hidden flex items-center">
        <ul class="z-40 p-2 border-r bg-white absolute rounded top-0 left-0 right-0 shadow mt-16 md:mt-16 hidden">
          <li
            class="flex xl:hidden cursor-pointer text-gray-600 text-base leading-3 tracking-normal mt-2 py-3 hover:text-indigo-700 focus:text-indigo-700 focus:outline-none">
            <div class="flex items-center">
              <NuxtLink to="/" title="Aller au CV">
                <span class="leading-6 ml-2 font-bold"> CV </span>
              </NuxtLink>
            </div>
          </li>
          <li
            class="flex xl:hidden cursor-pointer text-gray-600 text-base leading-3 tracking-normal mt-2 py-3 hover:text-indigo-700 focus:text-indigo-700 focus:outline-none">
            <div class="flex items-center">
              <NuxtLink to="/blog" title="Aller au Blog">
                <span class="leading-6 ml-2 font-bold"> Blog </span>
              </NuxtLink>
            </div>
          </li>
        </ul>
        <svg
          aria-haspopup="true"
          aria-label="Main Menu"
          :xmlns="xmlns"
          class="show-m-menu icon icon-tabler icon-tabler-menu"
          width="28"
          height="28"
          viewBox="0 0 24 24"
          stroke-width="1.5"
          stroke="#000"
          fill="none"
          stroke-linecap="round"
          stroke-linejoin="round"
          @click="MenuHandler($event, true)"
        >
          <path stroke="none" d="M0 0h24v24H0z"/>
          <line x1="4" y1="8" x2="20" y2="8"/>
          <line x1="4" y1="16" x2="20" y2="16"/>
        </svg>
        <div class="hidden close-m-menu" @click="MenuHandler($event, false)">
          <svg
            aria-label="Close"
            :xmlns="xmlns"
            width="24"
            height="24"
            viewBox="0 0 24 24"
            stroke-width="1.5"
            stroke="#000"
            fill="none"
            stroke-linecap="round"
            stroke-linejoin="round"
          >
            <path stroke="none" d="M0 0h24v24H0z"/>
            <line x1="18" y1="6" x2="6" y2="18"/>
            <line x1="6" y1="6" x2="18" y2="18"/>
          </svg>
        </div>
      </div>
    </div>
  </nav>
</template>

<script lang="ts">
  import Vue from 'vue'

  export default Vue.extend({
    data() {
      return {
        xmlns: 'http://www.w3.org/2000/svg',
      }
    },
    methods: {
      dropdownHandler(event: any) {
        const single = event.currentTarget.getElementsByTagName('ul')[0]
        single.classList.toggle('hidden')
      },
      MenuHandler(el: any, val: any) {
        const MainList = el.currentTarget.parentElement.getElementsByTagName('ul')[0]
        const closeIcon = el.currentTarget.parentElement.getElementsByClassName('close-m-menu')[0]
        const showIcon = el.currentTarget.parentElement.getElementsByClassName('show-m-menu')[0]
        if (val) {
          MainList.classList.remove('hidden')
          el.currentTarget.classList.add('hidden')
          closeIcon.classList.remove('hidden')
        } else {
          showIcon.classList.remove('hidden')
          MainList.classList.add('hidden')
          el.currentTarget.classList.add('hidden')
        }
      }
    }
  })
</script>
